namespace = DummyInSpot

;ログハウス・ベッドルーム
;E:\DOAXVV\DummyInSpot\pier\LogHouse\BedRoom\LogHouse_BedRoom.blend

;--レイアウトリソースの設定
;-宣言
[Resource_LogHouse_BedRoom_01_VB]
[Resource_LogHouse_BedRoom_01_IB]
[Resource_LogHouse_BedRoom_02_VB]
[Resource_LogHouse_BedRoom_02_IB]
[Resource_LogHouse_BedRoom_03_VB]
[Resource_LogHouse_BedRoom_03_IB]
[Resource_LogHouse_BedRoom_04_VB]
[Resource_LogHouse_BedRoom_04_IB]
[Resource_LogHouse_BedRoom_05_VB]
[Resource_LogHouse_BedRoom_05_IB]

[CommandList_LogHouse_Reset_BedRoom]
Resource_LogHouse_BedRoom_01_VB = null
Resource_LogHouse_BedRoom_01_IB = null
Resource_LogHouse_BedRoom_02_VB = null
Resource_LogHouse_BedRoom_02_IB = null
Resource_LogHouse_BedRoom_03_VB = null
Resource_LogHouse_BedRoom_03_IB = null
Resource_LogHouse_BedRoom_04_VB = null
Resource_LogHouse_BedRoom_04_IB = null
Resource_LogHouse_BedRoom_05_VB = null
Resource_LogHouse_BedRoom_05_IB = null


[CommandList_LogHouse_Layout1_Pos1_BedRoom_Resource]
Resource_LogHouse_BedRoom_01_VB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_01_VB
Resource_LogHouse_BedRoom_01_IB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_01_IB
Resource_LogHouse_BedRoom_02_VB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_02_VB
Resource_LogHouse_BedRoom_02_IB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_02_IB
Resource_LogHouse_BedRoom_03_VB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_03_VB
Resource_LogHouse_BedRoom_03_IB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_03_IB
Resource_LogHouse_BedRoom_04_VB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_04_VB
Resource_LogHouse_BedRoom_04_IB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_04_IB
Resource_LogHouse_BedRoom_05_VB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_05_VB
Resource_LogHouse_BedRoom_05_IB = ref Resource_LogHouse_Layout1_Pos1_BedRoom_05_IB

[CommandList_LogHouse_Layout1_Pos2_BedRoom_Resource]
Resource_LogHouse_BedRoom_01_VB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_01_VB
Resource_LogHouse_BedRoom_01_IB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_01_IB
Resource_LogHouse_BedRoom_02_VB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_02_VB
Resource_LogHouse_BedRoom_02_IB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_02_IB
Resource_LogHouse_BedRoom_03_VB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_03_VB
Resource_LogHouse_BedRoom_03_IB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_03_IB
Resource_LogHouse_BedRoom_04_VB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_04_VB
Resource_LogHouse_BedRoom_04_IB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_04_IB
Resource_LogHouse_BedRoom_05_VB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_05_VB
Resource_LogHouse_BedRoom_05_IB = ref Resource_LogHouse_Layout1_Pos2_BedRoom_05_IB

[CommandList_LogHouse_Layout1_Pos3_BedRoom_Resource]
Resource_LogHouse_BedRoom_01_VB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_01_VB
Resource_LogHouse_BedRoom_01_IB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_01_IB
Resource_LogHouse_BedRoom_02_VB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_02_VB
Resource_LogHouse_BedRoom_02_IB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_02_IB
Resource_LogHouse_BedRoom_03_VB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_03_VB
Resource_LogHouse_BedRoom_03_IB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_03_IB
Resource_LogHouse_BedRoom_04_VB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_04_VB
Resource_LogHouse_BedRoom_04_IB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_04_IB
Resource_LogHouse_BedRoom_05_VB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_05_VB
Resource_LogHouse_BedRoom_05_IB = ref Resource_LogHouse_Layout1_Pos3_BedRoom_05_IB



;--リソース
;Layout1 Pos1
[Resource_LogHouse_Layout1_Pos1_BedRoom_01_VB]
filename = Layout1\Pos1\bedroom\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_BedRoom_01_IB]
filename = Layout1\Pos1\bedroom\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_BedRoom_02_VB]
filename = Layout1\Pos1\bedroom\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_BedRoom_02_IB]
filename = Layout1\Pos1\bedroom\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_BedRoom_03_VB]
filename = Layout1\Pos1\bedroom\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_BedRoom_03_IB]
filename = Layout1\Pos1\bedroom\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_BedRoom_04_VB]
filename = Layout1\Pos1\bedroom\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_BedRoom_04_IB]
filename = Layout1\Pos1\bedroom\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos1_BedRoom_05_VB]
filename = Layout1\Pos1\bedroom\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos1_BedRoom_05_IB]
filename = Layout1\Pos1\bedroom\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;Layout1 Pos2
[Resource_LogHouse_Layout1_Pos2_BedRoom_01_VB]
filename = Layout1\Pos2\bedroom\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_BedRoom_01_IB]
filename = Layout1\Pos2\bedroom\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_BedRoom_02_VB]
filename = Layout1\Pos2\bedroom\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_BedRoom_02_IB]
filename = Layout1\Pos2\bedroom\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_BedRoom_03_VB]
filename = Layout1\Pos2\bedroom\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_BedRoom_03_IB]
filename = Layout1\Pos2\bedroom\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_BedRoom_04_VB]
filename = Layout1\Pos2\bedroom\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_BedRoom_04_IB]
filename = Layout1\Pos2\bedroom\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos2_BedRoom_05_VB]
filename = Layout1\Pos2\bedroom\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos2_BedRoom_05_IB]
filename = Layout1\Pos2\bedroom\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT

;Layout1 Pos3
[Resource_LogHouse_Layout1_Pos3_BedRoom_01_VB]
filename = Layout1\Pos3\bedroom\01.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_BedRoom_01_IB]
filename = Layout1\Pos3\bedroom\01.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_BedRoom_02_VB]
filename = Layout1\Pos3\bedroom\02.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_BedRoom_02_IB]
filename = Layout1\Pos3\bedroom\02.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_BedRoom_03_VB]
filename = Layout1\Pos3\bedroom\03.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_BedRoom_03_IB]
filename = Layout1\Pos3\bedroom\03.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_BedRoom_04_VB]
filename = Layout1\Pos3\bedroom\04.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_BedRoom_04_IB]
filename = Layout1\Pos3\bedroom\04.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT
[Resource_LogHouse_Layout1_Pos3_BedRoom_05_VB]
filename = Layout1\Pos3\bedroom\05.vb
type = Buffer
stride = 40
[Resource_LogHouse_Layout1_Pos3_BedRoom_05_IB]
filename = Layout1\Pos3\bedroom\05.ib
type = Buffer
format = DXGI_FORMAT_R16_UINT



;-- 描画
[CommandList_LogHouse_Draw_BedRoom]
if $LogHouse_IsDraw
	run = CommandList\MLC\_Resource_Save
	ps-cb2 = ref Resource_pscb2

	ps-t0 = ref Resource_LogHouse_Wood_Mokume10_Tex0
	ps-t1 = ref Resource_LogHouse_Wood_Mokume10_Tex1
	ps-cb2 = ref Resource_LogHouse_Wood_Mokume10_pscb2
	vb0 = ref Resource_LogHouse_BedRoom_01_VB
	ib = ref Resource_LogHouse_BedRoom_01_IB
	run = CommandList_LogHouse_Draw

	ps-t0 = ref Resource_LogHouse_Wood_Mokume11_Tex0
	ps-t1 = ref Resource_LogHouse_Wood_Mokume11_Tex1
	ps-cb2 = ref Resource_LogHouse_Wood_Mokume11_pscb2
	vb0 = ref Resource_LogHouse_BedRoom_02_VB
	ib = ref Resource_LogHouse_BedRoom_02_IB
	run = CommandList_LogHouse_Draw

	ps-t0 = ref Resource_LogHouse_Cloth_BedMat_Tex0
	ps-t1 = ref Resource_LogHouse_Cloth_BedMat_Tex1
	ps-cb2 = ref Resource_LogHouse_Cloth_BedMat_pscb2
	vb0 = ref Resource_LogHouse_BedRoom_03_VB
	ib = ref Resource_LogHouse_BedRoom_03_IB
	run = CommandList_LogHouse_Draw

	ps-t0 = ref Resource_LogHouse_Cloth_Blanket_Tex0
	ps-t1 = ref Resource_LogHouse_Cloth_Blanket_Tex1
	ps-cb2 = ref Resource_LogHouse_Cloth_Blanket_pscb2
	vb0 = ref Resource_LogHouse_BedRoom_04_VB
	ib = ref Resource_LogHouse_BedRoom_04_IB
	run = CommandList_LogHouse_Draw

	ps-t0 = ref Resource_LogHouse_Cloth_Pillow_Tex0
	ps-t1 = ref Resource_LogHouse_Cloth_Pillow_Tex1
	ps-cb2 = ref Resource_LogHouse_Cloth_Pillow_pscb2
	vb0 = ref Resource_LogHouse_BedRoom_05_VB
	ib = ref Resource_LogHouse_BedRoom_05_IB
	run = CommandList_LogHouse_Draw

	run = CommandList\MLC\_Resource_Restore
endif



